import Layout from "@/src/layouts/main";
import Main from "@/src/components/pages/blog/slug";
import { BunextPageModuleMetaFn } from "@moduletrace/bunext/types";

export default function SingleBlogPost() {
    return (
        <Layout>
            <Main />
        </Layout>
    );
}

export const meta: BunextPageModuleMetaFn = async ({ serverRes }) => {
    return {
        title: serverRes?.props?.blogPost?.meta_title,
        description: serverRes?.props?.blogPost?.meta_description,
    };
};
